Support » Plugin: Widget Saver » [Plugin: Widget Saver] Is this plugin compatible with WP 3.4.1 ?

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author zorgbargle

    (@zorgbargle)

    Hi,

    WordPress 3.3 included widget-saving functionality by default. You should not need this plugin if you’re running a later version of WordPress. You should see that if you switch between themes with WordPress >3.3 that your widgets are automatically restored to the correct sidebar location.

    Cheers,
    Z

    janubande007

    (@janubande007)

    Hello Z,

    Thanks for the quick response. I am familiar with the WP feature you describe. However, it does not work the way a proper Widget Saver should work. The WP built in widget saving will (depending on the sidebars & widgets that the previous & new themes have) at times take the Widgets out from the Widget-Area and save them as “Inactive Widgets” (assuming the new themes did not delete them). So if I want to go back an restore my previous Theme & Widgets, they don’t necessarily come back in the sidebar that it used to be in & end up as “Inactive Widgets”, because when I was trying out a new theme I had to move things around and may be even have removed the widget in the new theme & might have added different widgets which I don’t want show up in my older theme.

    So, I would love for this Plugin to be compatible at least until WP provides a proper Theme/Widget/Layout saver. Would you be able to make this compatible with the lastest version of WP and update the plugin?

    Cheers,
    J.

    Plugin Author zorgbargle

    (@zorgbargle)

    Hi,

    I’ve just released version 2.0.0 which makes widget-saver compatible up to WordPress 3.4.2. I’ve also changed the functionality slightly in response to user feedback. Check the description for more information on this. I hope this still suits your requirements, but let me know if not.

    Cheers,
    Z

    janubande007

    (@janubande007)

    Hey Z,

    Thanks for doing this. It does now sound like a much better way to save & restore widgets corresponding to different themes. I like that I can also have multiple layouts assigned to a particular theme.

    I will certainly try it out when I get a chance & will report my experience with it.

    Thanks again,

    J.

    I’m using the Widget Saver 2.0.0 on WP 3.4.2 and it’s not working. When I click ‘Add’, the page redirects to the Home page of my site and never gets saved.

    Plugin Author zorgbargle

    (@zorgbargle)

    Hi,
    Sorry to hear you’re having issues. I can’t reproduce this on my side at the moment, it seems to be functioning correctly. I’ll need some help to debug this further:
    Are you signed in an Administrator?
    What other plugins have you got activated?
    Are you able to turn WordPress debugging on?

    Anyone else seen something liked this?

    Thanks,
    Z

    zorgbargle,

    My apologies. It turned out that another outdated plugin was causing the conflict. Widget Saver 2.0.0 is working perfectly now. Thanks!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Plugin: Widget Saver] Is this plugin compatible with WP 3.4.1 ?’ is closed to new replies.